> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/powershell-commands/set-udelement.md).

# Set-UDElement

Set-UDElement updates the properties or rendered content of an existing UI element within a PowerShell Universal dashboard page.

### Synopsis

Set properties of an element.

### Syntax

```powershell
Set-UDElement [-Id] <String> [[-Properties] <Hashtable>] [-Broadcast] [[-Content] <ScriptBlock>] [<CommonParameters>]
```

### Description

Set the properties of an element.

### Parameters

#### -Id

The element to set properites on.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Properties

The properties to set in the form of a hashtable.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Whether to update this element on all connected clients.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Content to set within the element.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Common parameters

This cmdlet supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable, and OutVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Outputs

### Examples

#### Example 1: Properties

```powershell
New-UDButton -Id 'setElement1' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement1' -Properties @{
       'disabled' = $true
   }
}
```

Disables a button.

#### Example 2: Broadcast

```powershell
New-UDButton -Id 'setElement2' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement2' -Properties @{
       'disabled' = $true
   } -Broadcast
}
```

Disables a button and broadcasts it to all connected dashboards.

#### Example 3: Content

```powershell
New-UDElement -Tag 'div' -Id 'setElement3' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Set-UDElement -Id 'setElement3' -Content {
        New-UDTypography -Text 'Goodbye World'
    }
}
```

Sets the content of an element.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/powershell-commands/set-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
